from leinwand import Leinwand
from moebel import Moebel
class OvalerTisch(Moebel):
    """
    Stellt einen ovalen Tisch im Möbelplaner dar.
    Allerdings funktioniert die Drehung nicht.
    """
    def __init__(self,xPosition=50,yPosition=250,
                 breite=160,tiefe=80,winkel=0,
                 randfarbe='braun',fuellfarbe='transparent'):
        """
        Erzeugt einen ovalen Tisch an der gegebenen Position.
        xPosition: die x-Koordinate der Mitte des Tischs
        yPosition: die y-Koordinate der Mitte des Tischs
        randfarbe: die Farbe, in der der Tisch angezeigt werden soll.
               Dies sollte einer der Farbnamen der Klasse Farben sein.  
        """
        super().__init__(xPosition,yPosition,breite,tiefe,winkel,randfarbe,fuellfarbe)

    def erzeugeFigur(self):
        """
        Erzeugt die Figur, die einen ovalen Tisch auf der Leinwand darstellt.
        """
        if not self.gibFormen():
            x,y,b,t,lw = self.gibX(),self.gibY(),self.gibB(),self.gibT(),self.gibLW()
            formen = []
            tisch = lw.ellipse(x,y, x+b,y+t)
            formen.append(tisch)
            return formen

