from leinwand import Leinwand
from moebel import Moebel
class Schrank(Moebel):
    """
    Stellt einen Schrank im Möbelplaner dar.
    """
    def __init__(self,xPosition=350,yPosition=30,
                 breite=90,tiefe=60,winkel=0,
                 randfarbe='black',fuellfarbe='transparent'):
        """
        Erzeugt einen Schrank an der gegebenen Position.
        xPosition: die x-Koordinate der Mitte des Schranks
        yPosition: die y-Koordinate der Mitte des Schranks
        randfarbe: die Randfarbe, in der der Schrank angezeigt werden soll.
               Dies sollte einer der Farbnamen der Klasse Farben sein.  
        """
        super().__init__(xPosition,yPosition,breite,tiefe,winkel,randfarbe,fuellfarbe)

    def erzeugeFigur(self):
        """
        Erzeugt die Figur, die einen Schrank auf der Leinwand darstellt.
        """
        if not self.gibFormen():
            x,y,b,t,lw = self.gibX(),self.gibY(),self.gibB(),self.gibT(),self.gibLW()
            formen = []
            tisch = lw.polygon(x,y, x+b,y, x+b,y+t, x,y+t)
            formen.append(tisch)
            lo_ru = lw.linie(x,y,x+b,y+t)
            formen.append(lo_ru)
            ro_lu = lw.linie(x+b,y,x,y+t)
            formen.append(ro_lu)
            return formen

