from leinwand import Leinwand
from moebel import Moebel
class Sessel(Moebel):
    """
    Stellt einen Sessel im Möbelplaner dar.
    """
    def __init__(self,xPosition=20,yPosition=150,
                 breite=60,tiefe=60,winkel=0,
                 randfarbe='braun',fuellfarbe='transparent'):
        """
        Erzeugt einen Sessel an der gegebenen Position.
        xPosition: die x-Koordinate der Mitte des Tischs
        yPosition: die y-Koordinate der Mitte des Tischs
        randfarbe: die Randfarbe, in der der Tisch angezeigt werden soll.
               Dies sollte einer der Farbnamen der Klasse Farben sein.  
        """
        super().__init__(xPosition,yPosition,breite,tiefe,winkel,randfarbe,fuellfarbe)

    def erzeugeFigur(self):
        """
        Erzeugt die Figur, die einen Sessel auf der Leinwand darstellt.
        """
        if not self.gibFormen():
            x,y,b,t,lw = self.gibX(),self.gibY(),self.gibB(),self.gibT(),self.gibLW()
            formen = []
            sitzflaeche = lw.polygon(x+b//6,y+t//6, x+5*b//6,y+t/6, x+5*b//6,y+t, x+b//6,y+t)
            formen.append(sitzflaeche)
            linkeLehne = lw.polygon(x,y, x+b//6,y, x+b//6,y+t, x,y+t)
            formen.append(linkeLehne)
            rechteLehne = lw.polygon(x+5*b//6,y, x+b,y, x+b,y+t, x+5*b//6,y+t)
            formen.append(rechteLehne)
            rueckLehne = lw.polygon(x+b//6,y, x+5*b//6,y, x+5*b//6,y+t//6, x+b//6,y+t//6)
            formen.append(rueckLehne)
            return formen

